
#ident "@(#)init.man.sh"

PATH=/bin:/usr/bin:/etc; export PATH
trap ":" 1 2 3 5 15

# Return code definitions 
: ${OK=0} ${FAIL=1} ${STOP=10} ${HALT=11}


# Prompt for yes or no answer with message passed as argument - 
# returns non-zero for no
getyn() {
	while	echo "\n$* (y/n) \c">&2
	do	read yn rest
		case $yn in
		[yY])	return 0 				;;
		[nN])	return 1				;;
		*)	echo "Please answer y or n" >&2		;;
		esac
	done
}


####################
# MAIN starts here
####################

if [ -f /usr/man/index ]
then
	mv /usr/man/index /usr/man/index.OLD
fi
cat /usr/man/index.* | sort -u -d >/usr/man/index

exit $OK
