/*
 *	      UNIX is a registered trademark of AT&T
 *		Portions Copyright 1976-1990 AT&T
 *	Portions Copyright 1980-1989 Microsoft Corporation
 *   Portions Copyright (C) 1983-1991 The Santa Cruz Operation, Inc
 *		      All Rights Reserved
 *      The information in this file is provided for the exclusive use of
 *      the licensees of The Santa Cruz Operation, Inc.  Such users have the
 *      right to use, modify, and incorporate this code into other products
 *      for purposes authorized by the license agreement provided they include
 *      this notice and the associated copyright notice with any such product.
 *      The information in this file is provided "AS IS" without warranty.
 *
 *		Copyright (c) 1984, 1986, 1987, 1988 AT&T
 *			  All Rights Reserved
 *
 *	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
 *	The copyright notice above does not evidence any
 *	actual or intended publication of such source code.
 *
 */

#ifndef _MEMORY_H
#define _MEMORY_H
#ifdef __STDC__
#pragma comment(exestr, "@(#) memory.h 5.6 91/05/13 ")
#else
#ident "@(#) memory.h 5.6 91/05/13 "
#endif /* __STDC__ */

#ifndef _SIZE_T
#define _SIZE_T
   typedef unsigned int size_t;
#endif /* _SIZE_T */

#if defined(_NO_PROTOTYPE)
extern char *memcpy();
extern char *memmove(); /* Optional in Xopen */
extern int  memcmp();
extern char *memchr();
extern char *memset();
#if defined(_XOPEN_SOURCE) || !defined (__STRICT_ANSI__)
extern char *memccpy();
#endif /* _XOPEN_SOURCE || !defined (__STRICT_ANSI__) */
#else /* !_NO_PROTOTYPE */

#if __cplusplus
extern "C" {
#endif /* __cplusplus */

extern void *memcpy(void *, const void *, size_t);
extern void *memmove(void *, const void *, size_t);
extern int memcmp(const void *, const void *, size_t);
extern void *memchr(const void *, int, size_t);
extern void *memset(void *, int, size_t);

#if defined(_XOPEN_SOURCE) || !defined (__STRICT_ANSI__)
#ifdef _SVID
extern char *memccpy(char *, char *, int, int);
#else
extern void *memccpy(void *, void *, int, size_t);
#endif /* _SVID */

#endif /* _XOPEN_SOURCE || !defined (__STRICT_ANSI__) */

#if __cplusplus
};
#endif /* __cplusplus */

#endif /* _NO_PROTOTYPE */

#endif /* _MEMORY_H */
