/*
 *	      UNIX is a registered trademark of AT&T
 *		Portions Copyright 1976-1990 AT&T
 *	Portions Copyright 1980-1989 Microsoft Corporation
 *   Portions Copyright (C) 1983-1991 The Santa Cruz Operation, Inc
 *		      All Rights Reserved
 *      The information in this file is provided for the exclusive use of
 *      the licensees of The Santa Cruz Operation, Inc.  Such users have the
 *      right to use, modify, and incorporate this code into other products
 *      for purposes authorized by the license agreement provided they include
 *      this notice and the associated copyright notice with any such product.
 *      The information in this file is provided "AS IS" without warranty.
 *
 *		Copyright (c) 1984, 1986, 1987, 1988 AT&T
 *			  All Rights Reserved
 *
 *	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
 *	The copyright notice above does not evidence any
 *	actual or intended publication of such source code.
 *
 */

#ifndef _SETJMP_H
#define _SETJMP_H
#ifdef __STDC__
#pragma comment(exestr, "@(#) setjmp.h 7.1 91/08/14 ")
#else
#ident "@(#) setjmp.h 7.1 91/08/14 "
#endif /* __STDC__ */

#if !_STRICT_NAMES && defined(i386) && !defined(__i386)
#define __i386 i386
#endif /* Eliminate name space pollution */

#if !_STRICT_NAMES && defined(M_I386) && !defined(_M_I386)
#define _M_I386 M_I386
#endif /* Eliminate Name Space Pollution */

#if !_STRICT_NAMES && defined(M_I8086) && !defined(_M_I8086)
#define _M_I8086 M_I8086
#endif /* Eliminate Name Space Pollution */

#if !_STRICT_NAMES && defined(M_I286) && !defined(_M_I286)
#define _M_I286 M_I286
#endif /* Eliminate Name Space Pollution */

#if !_STRICT_NAMES && defined(M_I186) && !defined(_M_I186)
#define _M_I186 M_I186
#endif /* Eliminate Name Space Pollution */

#if !_STRICT_NAMES && defined(M_I86SM) && !defined(_M_I86SM)
#define _M_I86SM M_I86SM
#endif /* Eliminate Name Space Pollution */

#if !_STRICT_NAMES && defined(M_I86MM) && !defined(_M_I86MM)
#define _M_I86MM M_I86MM
#endif /* Eliminate Name Space Pollution */

#if !_STRICT_NAMES && defined(M_I86CM) && !defined(_M_I86CM)
#define _M_I86CM M_I86CM
#endif /* Eliminate Name Space Pollution */

#if !_STRICT_NAMES && defined(M_I86HM) && !defined(_M_I86HM)
#define _M_I86HM M_I86HM
#endif /* Eliminate Name Space Pollution */

#if !_STRICT_NAMES && defined(M_I86LM) && !defined(_M_I86LM)
#define _M_I86LM M_I86LM
#endif /* Eliminate Name Space Pollution */

#if !defined (__STRICT_ANSI__)
#include <sys/signal.h>
#endif /* !defined (__STRICT_ANSI__) */

/*
 * Select the size of the save buffer depending on the processor type
 * and the memory model.
 */

#if defined(__i386) || defined(_M_I386)
#define _JBLEN 6
#elif defined(_M_I8086) || defined(_M_I186) || defined(_M_I286)
#if defined(_M_I86SM)
#define _JBLEN 5  /* shortret, sp, bp, si, di */
#elif defined(_M_I86MM) || defined(_M_I86CM) || defined(_M_I86HM) || \
	defined(_M_I86LM)
#define  _JBLEN 7  /* ret, sp, bp, si, di, (ds) */
#endif /* Various memory models */
#else
#ifdef _KR
error "_JBLEN should be defined, no machine type specified"
#else
#error "_JBLEN should be defined, no machine type specified"
#endif /* _KR */
#endif /* Machine type */

typedef int jmp_buf[_JBLEN];

#if defined(_NO_PROTOTYPE)
extern int setjmp();
extern void longjmp();
#else

#if __cplusplus
extern "C" {
#endif /* __cplusplus */

extern int setjmp(jmp_buf);
extern void longjmp(jmp_buf, int);

#if __cplusplus
};
#endif /* __cplusplus */

#endif /* _NO_PROTOTYPE */

#if defined(_XOPEN_SOURCE) || defined(_POSIX_SOURCE) || !defined (__STRICT_ANSI__)
/* The long should be sigset_t, check to ensure is still long */

typedef int sigjmp_buf[_JBLEN + 1 +
	(sizeof(long) + sizeof(int) - 1) / sizeof(int)];

#if __cplusplus
extern "C" {
#endif /* __cplusplus */
#if defined(_NO_PROTOTYPE)
extern int sigsetjmp();
extern void siglongjmp();
#else
extern int sigsetjmp(sigjmp_buf, int);
extern void siglongjmp(sigjmp_buf, int);
#endif /* _NO_PROTOTYPE */
#if __cplusplus
};
#endif /* __cplusplus */
#endif /* _XOPEN_SOURCE || _POSIX_SOURCE || !defined (__STRICT_ANSI__) */
  
#endif /* _SETJMP_H */
