/*
 *	      UNIX is a registered trademark of AT&T
 *		Portions Copyright 1976-1990 AT&T
 *	Portions Copyright 1980-1989 Microsoft Corporation
 *   Portions Copyright (C) 1983-1991 The Santa Cruz Operation, Inc
 *		      All Rights Reserved
 *      The information in this file is provided for the exclusive use of
 *      the licensees of The Santa Cruz Operation, Inc.  Such users have the
 *      right to use, modify, and incorporate this code into other products
 *      for purposes authorized by the license agreement provided they include
 *      this notice and the associated copyright notice with any such product.
 *      The information in this file is provided "AS IS" without warranty.
 *
 *		Copyright (c) 1984, 1986, 1987, 1988 AT&T
 *			  All Rights Reserved
 *
 *	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
 *	The copyright notice above does not evidence any
 *	actual or intended publication of such source code.
 *
 */

#ifndef _SIGNAL_H
#define _SIGNAL_H
#ifdef __STDC__
#pragma comment(exestr, "@(#) signal.h 7.5 91/08/14 ")
#else
#ident "@(#) signal.h 7.5 91/08/14 "
#endif /* __STDC__ */

#if !_STRICT_NAMES && defined(M_XOUT) && !defined(_M_XOUT)
#define _M_XOUT M_XOUT
#endif /* Eliminate Name Space Pollution */

#ifndef _SIG_ATOMIC_T
#define _SIG_ATOMIC_T
   /* atomic entity for signal handling */
   typedef int sig_atomic_t;
#endif /* _SIG_ATOMIC_T */

#include <sys/signal.h>

#ifdef	_SYS_SIGNAL_H
#undef         sigbit
#undef         sigemptyset
#undef         sigfillset
#undef         sigaddset
#undef         sigdelset
#undef         sigismember
#endif	/* _SYS_SIGNAL_H */

#if defined(_NO_PROTOTYPE)
#if defined(_M_XOUT)
extern int (*signal())();
#else
extern void (*signal())();
#endif /* _M_XOUT */
#if !_STRICT_NAMES || (__STDC__ && (!defined(_POSIX_SOURCE) && !defined(_XOPEN_SOURCE)))
extern int raise();
#endif /* !_STRICT_NAMES || (__STDC__ && (!_POSIX_SOURCE && !_XOPEN_SOURCE)) */
#if !_STRICT_NAMES
extern  void (*sigset())();
extern  int (*ssignal())();
#endif /* !_STRICT_NAMES */
#else /* !_NO_PROTOTYPE */

#if __cplusplus
extern "C" {
#endif /* __cplusplus */

#if defined(_M_XOUT)
extern int (*signal(int, int(*)(int)))(int);
#else
extern void (*signal(int, void(*)(int)))(int);
#endif /* _M_XOUT */
#if !_STRICT_NAMES || (__STDC__ && (!defined(_POSIX_SOURCE) && !defined(_XOPEN_SOURCE)))
extern int raise(int);
#endif /* !_STRICT_NAMES || (__STDC__ && (!_POSIX_SOURCE && !_XOPEN_SOURCE)) */
#if !_STRICT_NAMES
extern  void ( *sigset( int, void(*)(int) ) )();
extern  int ( *ssignal( int, int(*)(int) ) )();
#endif /* !_STRICT_NAMES */

#if __cplusplus
};
#endif /* __cplusplus */

#endif /* _NO_PROTOTYPE */

#if defined(_XOPEN_SOURCE) || defined(_POSIX_SOURCE) || !defined (__STRICT_ANSI__)
#if defined(_NO_PROTOTYPE)
extern int sigfillset();
extern int sigemptyset();
extern int sigaddset();
extern int sigdelset();
extern int sigismember();
extern int sigpending();
extern int sigsuspend();
extern int sigprocmask();
extern int kill();
extern int sigaction();
#else /* !_NO_PROTOTYPE */

#if __cplusplus
extern "C" {;
#endif /* __cplusplus */

extern int sigfillset(sigset_t *);
#ifdef sigemptyset
#undef sigemptyset	/* Will be defined by sys/signal.h */
#endif
extern int sigemptyset(sigset_t *);
extern int sigaddset(sigset_t *, int);
extern int sigdelset(sigset_t *, int);
extern int sigismember(sigset_t *, int);
extern int sigpending(sigset_t *);
extern int sigsuspend(sigset_t *);
extern int sigprocmask(int, sigset_t *, sigset_t *);
#ifdef _SYS_TYPES_H
extern int kill(pid_t, int);
#else
extern int kill(short, int);
#endif /* _SYS_TYPES_H */
extern int sigaction(int, struct sigaction *, struct sigaction *);

#if __cplusplus
};
#endif /* __cplusplus */

#endif /* _NO_PROTOTYPE */

#if !_STRICT_NAMES
#define raise(sig)  kill(getpid(), sig)
#endif /* !_STRICT_NAMES */
#endif /* _XOPEN_SOURCE || _POSIX_SOURCE || !defined (__STRICT_ANSI__) */

#define         __sigbit(n)       (1L << ((n) - 1))
#if !_STRICT_NAMES
#ifndef sigbit
#define         sigbit(n)       (1L << ((n) - 1))
#endif /* sigbit */
#endif /* !_STRICT_NAMES */

#ifndef __SIGALL
#define         __SIGALL	SIGALL
#endif

#if defined(_USE_MACROS) || !defined(_STRICT_NAMES)
/*
 *	The following do not correctly handle error conditions but
 * are faster and backwards compatible
 */
#define         sigemptyset(s)  (*(s) = ~__SIGALL)
#define         sigfillset(s)   (*(s) = __SIGALL)
#define         sigaddset(s,n)  (*(s) |= __sigbit(n))
#define         sigdelset(s,n)  (*(s) &= ~__sigbit(n))
#define		sigismember(set,n) (!((*(set) & __sigbit(n)) == 0))
#endif /* _USE_MACROS || !_STRICT_NAMES */

#endif /* _SIGNAL_H */

