/*
 *   Copyright (C) The Santa Cruz Operation, Inc, 1988-1991
 *    All Rights Reserved
 *     The information in this file is provided for the exclusive use of
 *      the licensees of The Santa Cruz Operation, Inc.  Such users have the
 *      right to use, modify, and incorporate this code into other products
 *      for purposes authorized by the license agreement provided they include
 *      this notice and the associated copyright notice with any such product.
 *     The information in this file is provided "AS IS" without warranty.
 */

#ifndef _UNISTD_H
#define _UNISTD_H
#ifdef __STDC__
#pragma comment(exestr, "@(#) unistd.h 7.1 91/08/14 ")
#else
#ident "@(#) unistd.h 7.1 91/08/14 "
#endif /* __STDC__ */

#include <sys/types.h>
#include <sys/unistd.h>

#ifndef NULL
#if defined(_KR) || defined(__cplusplus)
#define NULL 0
#else
#define NULL ((void *)0)
#endif /* defined(_KR) || defined(__cplusplus) */
#endif /* NULL */

#if defined(_NO_PROTOTYPE)
extern pid_t      fork();
extern gid_t      getegid();
extern uid_t      geteuid();
extern gid_t      getgid();
extern pid_t      getpgrp();
extern pid_t      getpid();
extern pid_t      getppid();
extern uid_t      getuid();
extern off_t      lseek();
extern pid_t      setsid();
extern pid_t      tcgetpgrp();
extern char*        getcwd();
extern char*        getlogin();
extern char*        ttyname();
extern void         _exit();
extern int          access();
extern unsigned int alarm();
extern int          chdir();
extern int          chown();
extern int          close();
extern char*        ctermid();
extern char*        cuserid();
extern int          dup();
extern int          dup2();
extern int          execl();
extern int          execle();
extern int          execlp();
extern int          execv();
extern int          execve();
extern int          execvp();
extern long         fpathconf();
extern int          getgroups();
extern int          isatty();
extern int          link();
extern long         pathconf();
extern int          pause();
extern int          pipe();
extern int          read();
extern int          rename();
extern int          rmdir();
extern int          setgid();
extern int          setpgid();
extern int          setuid();
extern unsigned int sleep();
extern long         sysconf();
extern int          tcsetpgrp();
extern int          unlink();
extern int          write();
#else /* !_NO_PROTOTYPE */

#if __cplusplus
extern "C" {
extern int utime(const char *, struct utimbuf *); /* Also SVID */
#endif /* __cplusplus */

extern int        chown(const char *, uid_t, gid_t);
extern pid_t      fork(void);
extern gid_t      getegid(void);
extern uid_t      geteuid(void);
extern gid_t      getgid(void);
extern int        getgroups(int, gid_t *);
extern pid_t      getpgrp(void);
extern pid_t      getpid(void);
extern pid_t      getppid(void);
extern uid_t      getuid(void);
extern off_t      lseek(int, off_t, int);
extern int        setgid(gid_t);
extern int        setpgid(pid_t, pid_t);
extern pid_t      setsid(void);
extern int        setuid(uid_t);
extern pid_t      tcgetpgrp(int);
extern int        tcsetpgrp(int, pid_t);
extern char*        getcwd(char *, size_t);
extern char*        getlogin(void);
extern char*        ttyname(int);
extern void         _exit(int);
extern int          access(const char *, int);
extern unsigned int alarm(unsigned int);
extern int          chdir(const char *);
extern int          close(int);
extern char*        ctermid(char *);
extern char*        cuserid(char *);
extern int          dup(int);
extern int          dup2(int, int);
extern int          execl(const char *, const char *, ...);
extern int          execle(const char *, const char *, ...);
extern int          execlp(const char *, const char *, ...);
extern int          execv(const char *, const char *[]);
extern int          execve(const char *, const char * [], const char * []);
extern int          execvp(const char *, const char * []);
extern long         fpathconf(int, int);
extern int          isatty(int);
extern int          link(const char *, const char *);
extern long         pathconf(const char *, int);
extern int          pause(void);
extern int          pipe(int *);
extern int          read(int, void *, unsigned int);
extern int          rename(const char *, const char *);
extern int          rmdir(const char *);
extern unsigned int sleep(unsigned int);
extern long         sysconf(int);
extern int          unlink(const char *);
extern int          write(int, const void *, unsigned int);

#if __cplusplus
};
#endif /* __cplusplus */

#endif /* _NO_PROTOTYPE */

#endif /* _UNISTD_H */
