.\"	%Z% %M% %I% %D% %Q% -*- nroff -*-
.\"
.\"	Copyright (C) 1991 HESSE Informationstechnik
.\"	All Rights Reserved.
.\"
.\"	This Module contains Proprietary Information of
.\"	1991 Redwood International Ltd. and
.\"	should be treated as Confidential.
.\"
.\" Begin Modification History 
.\"
.\" M000 __.__._
.\" M001
.\"
.\" End Modification History
.ds aa "Altos Computer Systems
.ds ab "Hesse Informationstechnik
.hy 14 \}
.DA "Mar 10, 1992"
.TH CPSET C
.ad b
.SH NAME
cpset - install object files in binary directories
.SH  SYNOPSIS
.B cpset 
[-o] filename destination [mode [owner [group]]]
.SH  DESCRIPTION
\fIcpset\fR is used to install the specified object file in the
given directory.  The mode, owner, and group, of the
destination file may be specified on the command line.  If
this data is omitted, two results are possible:
.P
.in +5
If the user of cpset has administrative permissions
(that is, the user's numerical ID is less than 100),
the following defaults are provided:

.in +5
mode - 0755

owner - bin

group - bin
.in -5
.sp
If the user is not an administrator, the default,
owner, and group of the destination file will be that
of the invoker.
.in -5
.P
An optional argument of -o will force cpset to move object
to OLDobject in the destination directory before installing
the new object.

For example:

.in +5
cpset echo /bin 0755 bin bin

cpset echo /bin

cpset echo /bin/echo

.P
All the examples above have the same effect (assuming
the user is an administrator).  The file echo will be
copied into /bin and will be given 0755, bin, bin as
the mode, owner, and group, respectively.
.in -5
.P
\fIcpset\fR utilizes the file /usr/src/destinations to determine
the final destination of a file.  The locations file
contains pairs of path names separated by spaces or tabs.
The first name is the "official" destination (for example:
/bin/echo).  The second name is the new destination.  For
example, if echo is moved from /bin to /usr/bin, the entry
in /usr/src/destinations would be:

.in +5
/bin/echo /usr/bin/echo
.in -5

When the actual installation happens, cpset verifies that
the "old" path name does not exist.  If a file exists at
that location, cpset issues a warning and continues.  This
file does not exist on a distribution tape; it is used by
sites to track local command movement.  The procedures used
to build the source will be responsible for defining the
"official" locations of the source.

.SS    "Cross Generation"
The environment variable ROOT will be used to locate the
destination file (in the form $ROOT/usr/src/destinations).
This is necessary in the cases where cross generation is
being done on a production system.
.SH REFERENCE
This Module contains Proprietary Information of
\*(aa and should be treated as Confidential.
.sp
This Online Manual Page has been created and was developed by
\*(ab.
