.TH ENV GNU \" -*- nroff -*-
.SH NAME
env \- run a program in a modified environment
.SH SYNOPSIS
.B env
[\-] [\-i] [\-u name] [\-\-ignore-environment] [\-\-unset=name]
[name=value]... [command [args...]]
.SH DESCRIPTION
This manual page
documents the GNU version of
.BR env .
.B env
runs a command with an environment modified as specified by the
command line arguments.  Arguments of the form `variable=value' set
the environment variable
.I variable
to value
.IR value .
.I value
may be empty (`variable=').  Setting a variable to an empty value is
different from unsetting it.
.PP
The first remaining argument specifies a program to invoke; it is
searched for according to the specification of the PATH environment
variable.  Any arguments following that are passed as arguments to
that program.
.PP
If no command name is specified following the environment
specifications, the resulting environment is printed.  This is like
specifying a command name of `printenv'.
.SS OPTIONS
.TP
.I "\-u, \-\-unset name"
Remove variable
.I name
from the environment, if it was in the environment.
.TP
.I "\-, \-i, \-\-ignore-environment"
Start with an empty environment, ignoring the inherited environment.
.PP
The long-named options can be introduced with `+' as well as `\-\-',
for compatibility with previous releases.  Eventually support for `+'
will be removed, because it is incompatible with the POSIX.2 standard.
