.\"     %Z% %M% %I% %D% %Q% -*- nroff -*-
.\"
.\"     Copyright (C) 1991 Hesse Informationstechnik
.\"     All Rights Reserved.
.\"
.\"     This Module contains Proprietary Information of
.\"     1991 Redwood International Ltd. and
.\"     should be treated as Confidential.
.\"
.\" Begin Modification History
.\"
.\" M000 __.__._
.\" M001
.\"
.\" End Modification History
.ds aa "Uniplex Limited
.ds ab "Redwood International Limited
.ds ac "Hesse Informationstechnik
.ST "May 07, 1992"
.TH GDIFF GNU
.ad b
.hy 1
.SH NAME
gdiff - compares two text files
.SH SYNOPSYS
gdiff [-#] [-abBcdefhHilnNprstTw] [-C lines ] [-F regexp] [-I regexp] [-S file] [-D symbol] path1 path2
.SH DESCRIPTION
.I gdiff
tells what lines must be changed in two files to bring
them into agreement.  If file1 or file2 is a dash (-), the
standard input is used.  If file1 or file2 is a directory,
gdiff uses the file in that directory that has the same name
as the file (file2 or file1 respectively) it is compared to.
For example:
.sp
.in +5
gdiff /tmp dog
.in -5
.sp
compares the file named dog that is in the /tmp directory,
with the file dog in the current directory. The normal
output contains lines of these forms:
.sp
.ad l
.nf
.in +5
n1 a n3,n4
n1,n2 d n3
n1,n2 c n3,n4
.in -5
.ad b
.fi
.sp
These lines resemble ed commands to convert file1 into
file2.  The numbers after the letters pertain to file2.  In
fact, by exchanging a for d and reading backward, one may
ascertain equally how to convert file2 into file1.  As in
ed, identical pairs where n1 = n2 or n3 = n4 are abbreviated
as a single number.
.sp
Following each of these lines come all the lines that are
affected in the first file flagged by <, then all the lines
that are affected in the second file flagged by >.
.sp
.P
.SH OPTIONS
.TP 10
.I \-b
causes trailing blanks (spaces and tabs) to be
ignored and other strings of blanks to compare equal.
.P
.TP 10
.I \-e
produces a script of a, c and d commands for
the editor ed, which will recreate file2 from file1.
.P
.TP 10
.I \-f
produces a similar script, not useful with ed, in the
opposite order.  In connection with -e, the following shell
procedure helps maintain multiple versions of a file:
.sp
.in +5
(shift; cat $*; echo '1,$p') | ed - $1
.in -5
.sp
This works by performing a set of editing operations on an
original ancestral file.  This is done by combining the
sequence of ed scripts given as all command line arguments
except the first.  These scripts are presumed to have been
created with gdiff in the order given on the command line.
The set of editing operations is then piped as an editing
script to ed where all editing operations are performed on
the ancestral file given as the first argument on the
command line. The final version of the file is then printed
on the standard output.  Only an ancestral file ($1) and a
chain of version-to-version ed scripts ($2,$3,...) made by
gdiff need be on hand.
.sp
Except in rare circumstances, gdiff finds the smallest
sufficient set of file differences.
.P
.TP 10
.I \-h
does a fast, less-rigorous job.  It works only
when changed stretches are short and well separated, but the
files can be of unlimited length.  The -e and -f options
cannot be used with the -h option.
.P
.TP 10
.I \-a
Always treat files as text and compare them line-by-line,
even if they do not appear to be ASCII.
.P
.TP 10
.I \-B
ignore changes that just insert or delete blank lines.
.P
.TP 10
.I \-C #
request -c format and specify number of context lines.
.P
.TP 10
.I \-F regexp
in context format, for each unit of differences, show some
of the last preceding line that matches the specified
regexp.
.P
.TP 10
.I \-H
use heuristics to speed handling of large files that
have numerous scattered small changes. The algorithm becomes
asymptotically linear for such files!
.P
.TP 10
.I \-I regexp
ignore changes that just insert or delete lines that
match the specified regexp.
.P
.TP 10
.I \-N
in directory comparison, if a file is found in only one
directory, treat it as present but empty in the other
directory.
.P
.TP 10
.I \-p
equivalent to -c -F'^[_a-zA-Z]'.  This is useful for C code
because it shows which function each change is in.
.P
.TP 10
.I \-T
print a tab rather than a space before the text of a line
in normal or context format.  This causes the alignment
of tabs in the line to look normal.
.P
.SH FILES
.ad l
.nf
/tmp/d?????
/usr/lib/diffh (executable used when -h option is specified)
.ad b
.fi
.P
.SH "See Also
cmp(C), comm(C), ed(C)
.P
.SH DIAGNOSTICS
Exit status is 0 for no differences, 1 for some differences,
2 for errors.
.P
.SH NOTES
Editing scripts produced under the -e or -f option do not
always work correctly on lines consisting of a single period
(.).
.P
.SH Standards Conformance
gdiff is conformant with:
AT&T SVID Issue 2, Select Code 307-127;
and The X/Open Portability Guide II of January 1987.
.P
.SH REFERENCE
This Online Manual Page has been created and was developed by
\*(ac.
