.\"     %Z% %M% %I% %D% %Q% -*- nroff -*-
.\"
.\"     Copyright (C) 1991 Hesse Informationstechnik
.\"     All Rights Reserved.
.\"
.\"     This Module contains Proprietary Information of
.\"     1991 Redwood International Ltd. and
.\"     should be treated as Confidential.
.\"
.\" Begin Modification History
.\"
.\" M000 __.__._
.\" M001
.\"
.\" End Modification History
.ds aa "Uniplex Limited
.ds ab "Redwood International Limited
.ds ac "Hesse Informationstechnik
.ds i \t
.DA "May 07, 1992"
.TH GDIFF3 GNU
.ad b
.hy 1
.SH NAME
gdiff3 \- compares three text files
.SH SYNOPSYS
.ad l
.nf
gdiff3 [-exEX3] [-i] file1 file2 file3
(Only one of [exEX3] allowed)
.ad b
.fi
.P
.SH DESCRIPTION
.I gdiff3 
compares three versions of a file, and publishes
disagreeing ranges of text flagged with these codes:
.sp
\*i==== \*iAll three files differ
.sp
\*i====1\*iFile1 is different
.sp
\*i====2\*iFile2 is different
.sp
\*i====3\*iFile3 is different
.sp
The type of change suffered in converting a given range of a
given file to some other range is indicated in one of these
ways:
.TP 15
.B f\ :\ n1\ a
Text is to be appended after line
number n1 in file f, where f = 1, 2, or
3.
.P
.TP 15
.B f\ :\ n1 \, n2\ c
Text is to be changed in the range line
n1 to line n2. If n1 = n2, the range
may be abbreviated to n1.
.sp
The original contents of the range follows immediately after
a c indication. When the contents of two files are
identical, the contents of the lower-numbered file is
suppressed.
.SH OPTIONS
.TP 15
.I \-e
publishes a script for the editor
ed that will incorporate into file1 all changes between
file2 and file3, i.e., the changes that normally would be
flagged ==== and ====3.
.P
.TP 15
.I \-x
produces a script to
incorporate changes flagged with ``====''.  
.P
.TP 15
.I \-3 
produces a script to incorporate changes flagged
with ``====3''. 
.P
.SH Examples
The following command applies a resulting
editing script to file1:
.sp
.in +5
(cat script; echo '1,$p') | ed - file1
.in -5
.P
.SH FILES
.ad l
.nf
/tmp/d3*
/usr/lib/diff3prog
.ad b
.fi
.SH "SEE ALSO
.ad l
.nf
diff(C)
ed(C)
.ad b
.fi
.P
.SH NOTES
The -e option does not work properly for lines consisting of
a single period.
.sp
The input file size limit is 64K bytes.
.P
.SH REFERENCE
This Online Manual Page has been created and was developed by
\*(ac.
