.TH GTAIL GNU \" -*- nroff -*-
.ad 70
.hy 14
.SH NAME
tail \- output the last part of files
.SH SYNOPSIS
.B tail
[\-b [+]#] [\-c [+]#] [\-n [+]#] [\-fqv] [+blocks=[+]#]
[+bytes=[+]#] [+lines=[+]#] [+follow] [+quiet] [+silent]
[+verbose] [file...]

.B tail
[+/\-#bcflqv] [file...]
.SH DESCRIPTION
This manual page
documents the GNU version of
.BR tail .
.B tail
prints the last part (10 lines by default) of each given file; it
reads from standard input if no files are given or when a filename of
`-' is encountered.  If more than one file is given, it prints a
header consisting of the file's name enclosed in `==>' and `<=='
before the output for each file.  It accepts two option syntaxes: one
in which numbers are arguments to the option letters, and one in which
a `+' or `-' and optional number precede any option letters.
.PP
It can output any amount of data, unlike the Unix version, which uses
a fixed size buffer.  It has no
.I \-r
option (print in reverse).  Reversing a file is really a different job
from printing the end of a file; the BSD
.B tail
can get away with
kludging it in because of its limited size buffer.  A more versatile
way to reverse files is the GNU
.B tac
command.
.SS OPTIONS
If a number (`#') starts with a `+', it begins printing with the #th item
from the start of each file, instead of from the end.
.TP
.I \-b, +blocks #
Tail by # 512-byte blocks.
.TP
.I \-c, +bytes #
Tail by # bytes.
.TP
.I \-f, +follow
Loop forever trying to read more characters at the end of the file, on
the assumption that the file is growing.  Ignored if reading from a
pipe.  Cannot be used if more than one file is given.
.TP
.I \-l, \-n, +lines #
Tail by # lines.
.TP
.I \-q, +quiet, +silent
Never print filename headers.
.TP
.I \-v, +verbose
Always print filename headers.
