.TH INSTALL GNU \" -*- nroff -*-
.SH NAME
install \- copy files and set their attributes
.SH SYNOPSIS
.B install
[options] [\-s] [\-\-strip] source dest
.br
.B install
[options] [\-s] [\-\-strip] source... directory
.br
.B install
[options] [\-d,\-\-directory] directory...
.br
Options:
.br
[\-c] [\-g group] [\-m mode] [\-o owner]
[\-\-group=group] [\-\-mode=mode] [\-\-owner=owner]
.SH DESCRIPTION
This manual page
documents the GNU version of
.BR install .
.B install
copies files and sets their permission modes and, if possible,
their owner and group.  Used similarly to
.BR cp ;
typically used in Makefiles to copy programs into their destination
directories.  It can also be used to create the destination
directories and any leading directories, and to set the final
directory's modes.  It refuses to copy files onto themselves.
.SS OPTIONS
.TP
.I \-c
Ignored; for compatibility with old Unix versions of install.
.TP
.I "\-d, \-\-directory"
Create each given directory and its leading directories, if they do
not already exist.  Set the owner, group and mode as given on the
command line or to the defaults.  Also gives any leading directories
that are created those attributes.  This is different from the SunOS
4.x
.IR install ,
which gives directories that it creates the default attributes.
.TP
.I "\-g, \-\-group group"
Set the group ownership of the installed file or directory to the
group ID of 
.I group
(default is process's current group).  
.I group
may also be a numeric group ID.
.TP
.I "\-m, \-\-mode mode"
Set the permission mode for the installed file or directory to
.IR mode ,
which can be either an octal number, or a symbolic mode as in chmod,
with 0 as the point of departure.
The default mode is 0755.
.TP
.I "\-o, \-\-owner owner"
If run as root, set the ownership of the installed file to the user ID
of
.I owner
(default is root).  
.I owner
may also be a numeric user ID.
.TP
.I "\-s, \-\-strip"
Strip the symbol tables from installed programs.
.PP
The long-named options can be introduced with `+' as well as `\-\-',
for compatibility with previous releases.  Eventually support for `+'
will be removed, because it is incompatible with the POSIX.2 standard.
