.TH PATHCHK GNU \" -*- nroff -*-
.SH NAME
pathchk \- check whether pathnames are valid or portable
.SH SYNOPSIS
.B pathchk
[-p] [\-\-portability] path...
.SH DESCRIPTION
This manual page
documents the GNU version of
.BR pathchk .
For each
.IR path ,
.B pathchk
prints a message if any of these conditions are false:
.br
\(bu all existing directories in
.I path
have search (execute) permission
.br
\(bu the length of
.I path
<= its filesystem's maximum path length
.br
\(bu the length of each existing directory in
.I path
<= its filesystem's maximum file name legnth
.PP
The exit status is:
.nf
0 if all path names passed all of the tests,
1 otherwise.
.fi
.SS OPTIONS
.TP
.I "\-p, \-\-portability"
Instead of performing length checks on the underlying filesystem, test
the length of the pathname and its components against the POSIX.1
minimum limits for portability.  Also check that the pathname contains
no characters not in the portable filename character set.
.PP
The long-named options can be introduced with `+' as well as `\-\-',
for compatibility with previous releases.  Eventually support for `+'
will be removed, because it is incompatible with the POSIX.2 standard.
