.TH PR GNU \" -*- nroff -*-
.SH NAME
pr \- convert text files for printing
.SH SYNOPSIS
.B pr
[+PAGE] [\-COLUMN] [\-abcdfFmrtv] [\-e[in-tab-char[in-tab-width]]]
[\-h header] [\-i[out-tab-char[out-tab-width]]] [\-l page-length]
[\-n[number-separator[digits]]] [\-o left-margin]
[\-s[column-separator]] [\-w page-width] [file...]
.SH DESCRIPTION
This manual page
documents the GNU version of
.BR pr .
.B pr
prints on the standard output a paginated and optionally multicolumn
copy of the text files given on the command line, or of the standard
input if no files are given or when the file name `\-' is encountered.
Form feeds in the input cause page breaks in the output.
.SS OPTIONS
.TP
.I \+PAGE
Begin printing with page \fIPAGE\fP.
.TP
.I \-COLUMN
Produce \fICOLUMN\fP-column output and print columns down.  The column
width is automatically decreased as \fICOLUMN\fP increases; unless you
use the \fI\-w\fP option to increase the page width as well, this
option might cause some columns to be truncated.
.TP
.I \-a
Print columns across rather than down.
.TP
.I \-b
Balance columns on the last page.
.TP
.I \-c
Print control characters using hat notation (e.g., `^G'); print other
unprintable characters in octal backslash notation.
.TP
.I \-d
Double space the output.
.TP
.I "\-e[in-tab-char[in-tab-width]]"
Expand tabs to spaces on input.  Optional argument \fIin-tab-char\fP
is the input tab character, default tab.  Optional argument
\fIin-tab-width\fP is the input tab character's width, default 8.
.TP
.I "\-F, \-f"
Use a formfeed instead of newlines to separate output pages.
.TP
.I "\-h header"
Replace the filename in the header with the string \fIheader\fP.
.TP
.I "\-i[out-tab-char[out-tab-width]]"
Replace spaces with tabs on output.  Optional argument
\fIout-tab-char\fP is the output tab character, default tab.
Optional argument \fIout-tab-width\fP is the output tab character's
width, default 8.
.TP
.I "\-l page-length"
Set the page length to \fIpage-length\fP lines.  The default is 66.
If \fIpage-length\fP is less than 10, the headers and footers are
omitted, as if the \fI\-t\fP option had been given.
.TP
.I \-m
Print all files in parallel, one in each column.
.TP
.I "\-n[number-separator[digits]]"
Precede each column with a line number; with parallel files, precede
each line with a line number.  Optional argument
\fInumber-separator\fP is the character to print after each number,
default tab.  Optional argument \fIdigits\fP is the number of digits
per line number, default 5.
.TP
.I "\-o left-margin"
Offset each line with a margin \fIleft-margin\fP spaces wide.  The
total page width is this offset plus the width set with the \fI\-w\fP
option.
.TP
.I \-r
Do not print a warning message when an argument file cannot be opened.
Failure to open a file still makes the exit status nonzero, however.
.TP
.I "\-s[column-separator]"
Separate columns by the single character \fIcolumn-separator\fP,
default tab, instead of spaces.
.TP
.I \-t
Do not print the 5-line header and the 5-line trailer that are
normally on each page, and do not fill out the bottoms of pages (with
blank lines or formfeeds).
.TP
.I \-v
Print unprintable characters in octal backslash notation.
.TP
.I "\-w page-width"
Set the page width to \fIpage-width\fP columns.  The default is 72.
