.TH TEXCVT GNU \" -*- nroff -*-
.DA 31 Aug 88
.ad 70
.hy 14
.SH NAME
texcvt \- convert Texinfo commands in documents 
to nroff/troff commands.
.SH SYNOPSIS
.B texcvt
.BR \-m {
.B e
|
.B m
|
.B s
}
.RB [ \-It
] [ file ... ]
.SH DESCRIPTION
.I texcvt
converts documents which use the Texinfo macro language for TeX
so they can be formatted by nroff or troff instead. 
.PP
The named
.IR file s
are read and processed in order. If no
.I file
is given or if the
.I file
is '\-'
.I texcvt
reads the standard input.
.PP
All Texinfo commands are supported to some extent, even if by carefully
discarding them. Since Texinfo allows the use of arbitrary TeX
commands provided the leading \e is replaced by @, some common
TeX commands not explicitly in Texinfo are supported as well.  To
see how various commands are handled examine the
translation tables.  Any command whose type is DISCARD will
disappear with all contained text (unless the -t option is used).
.PP
.B \ef(CW
and 
.B .ft\ CW
are used to change to constant-width (typewriter-like) font.
If this is not the standard at your site, run your
.I texcvt
output through sed or edit the translation tables.
.SH OPTIONS
.IP "\-m
indicates which macro package you intend to 
use with nroff or troff.  Specify one of -me, -ms, or -mm.
If your site has both -ms and -msnew macros, use -msnew 
with nroff/troff for better results.
.IP "\-I
causes Texinfo "Info file" menu and node contents and 'ifinfo' text
to appear in the output.  Info files are a kind of 
hypertext feature of Texinfo.  This material would not normally appear
in a printed Texinfo document, but may contain interesting information
or be useful when searching a document for a topic.
.IP "\-t
(transparent) prints contents of otherwise discarded commands,
for people who are afraid of missing something.  For best results
with the -t option, use -It.
.SH DIAGNOSTICS
Errors are reported giving file name and line number.
.PP
Unrecognized Texinfo commands may corrupt the program's command stack
because it is hard to tell how to discard them when their closing 
tokens are unknown. The program may guess
wrong about which command is at fault when giving an 
error message for the closing token, but will generally
recover and translate the remainder of the document after such errors.
.SH HISTORY
Written in February 1988 
at the University of Toronto by Beverly Erlebacher
(erlebach@csri.toronto.edu). Current version (1.0a) released in
August 1988 by the same author.
.SH BUGS
Appendices will come out as unnumbered sections, instead of being
"numbered" with consecutive capital letters.
Cross references are printed, but not with page numbers as Texinfo
does. Indices and tables of contents are not generated.
.PP
Since \efP is a toggle, not a stack, nested Texinfo commands that
generate nested font changes would not 'un-nest' correctly
if it were used as a close
to a font change.  The program needs a font stack. In the interim,
it uses \efR, which causes less trouble than \efP.
.PP
There are a number of differences in formatting details
compared to Texinfo. The -ms macros probably give the closest emulation.
Indentation is occasionally imperfect.
.PP
Since literal double quotes (") cause bizarre effects
in macro arguments for -me macros, 
.I texcvt
replaces them with \e(fm\e(fm (foot marks \(em \(fm\(fm)
when the -me option is used.
.PP
.I texcvt
may generate output which falls afoul of bugs 
or strange features in nroff/troff.
The program tries to avoid generating sequences that cause trouble.
.PP
"A program designed for inputs from people is
usually stressed beyond the breaking point by computer-generated
inputs." 
.PP
\&\(em Dennis Ritchie
